//
// Created by IgorBat on 23.04.2018.
//


#pragma once
#include <cassert>
#include "effect\selfdamage.h"
#include "units\unit.h"
#include <string>

void melledamage::OperateOnCell(Cell* cell){
    throw std :: string("CAN'T TOUCH THIS")
}

void melledamage::OperateOnUnit(Unit* unit){
    unit.setHealthPoints(unit.getHealthPoints() + count_);
    //check_on_death
}